#include <SDL3/SDL_gpu.h>
#include <pch.h>

SDL_GPUCommandBuffer* CommandBufferAcquire(SDL_GPUDevice* device) {
    SDL_assert(device != NULL);

    SDL_GPUCommandBuffer* command_buffer = SDL_AcquireGPUCommandBuffer(device);
    if(command_buffer == NULL) {
        SDL_Log("Failed to acquire command buffer: %s", SDL_GetError());
    }

    return command_buffer;
}

bool CommandBufferSubmit(SDL_GPUCommandBuffer* command_buffer) {
    SDL_assert(command_buffer != NULL);

    bool success = SDL_SubmitGPUCommandBuffer(command_buffer);
    if(!success) {
        SDL_Log("Failed to submit command buffer: %s", SDL_GetError());
    }

    return success;
}
